Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.distributedkeys.proxy
Class DigitalSignatureServiceProxy

    java.lang.Object
      be.fgov.ehealth.technicalconnector.distributedkeys.proxy.DigitalSignatureServiceProxy

All Implemented Interfaces:
  DistributedSignerProxy, Serializable

    public class DigitalSignatureServiceProxy

extends Object
implements DistributedSignerProxy

Implementation of the `DistributedSignerProxy` by using the OASIS DSS protocol for the sign method.

See Also:
  Serialized Form

Constructor Summary
`DigitalSignatureServiceProxy(GenericRequest req, String profile, Map<String,List<X509Certificate>> certificates)`

Method Summary
`String` | `getAlgorithm(String alias)` Returns the standard algorithm name for this key.
`Set<String>` | `getAliases()` Method for obtaining all the aliases that are supported by the distributed keystore.
`List<X509Certificate>` | `getCertificateChain(String alias)` Method for obtaining the certificate chain based on the distriubted keystore and the alias.
`byte[]` | `sign(byte[] digestValue, String digestAlgo, String alias)` Method used for signing a already calculated digest.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DigitalSignatureServiceProxy

    public DigitalSignatureServiceProxy(GenericRequest req,
                                        String profile,
                                        Map<String,List<X509Certificate>> certificates)

Method Detail

### sign

    public byte[] sign(byte[] digestValue,
                       String digestAlgo,
                       String alias)
                throws SignatureException

  Description copied from interface: `DistributedSignerProxy`
  Method used for signing a already calculated digest.

  Specified by:
    `sign` in interface `DistributedSignerProxy`
  Throws:
    `SignatureException`

### getAliases

    public Set<String> getAliases()

  Description copied from interface: `DistributedSignerProxy`
  Method for obtaining all the aliases that are supported by the distributed keystore.

  Specified by:
    `getAliases` in interface `DistributedSignerProxy`

### getCertificateChain

    public List<X509Certificate> getCertificateChain(String alias)

  Description copied from interface: `DistributedSignerProxy`
  Method for obtaining the certificate chain based on the distriubted keystore and the alias. The first entry of the list is the actual certificate. The second entry the CA of your certificate. The third entry should be CA of the CA of you certificate. ...

  Specified by:
    `getCertificateChain` in interface `DistributedSignerProxy`

### getAlgorithm

    public String getAlgorithm(String alias)

  Description copied from interface: `DistributedSignerProxy`
  Returns the standard algorithm name for this key. For example, "RSA" would indicate that this key is a RSA key. See Appendix A in the Java Cryptography Architecture API Specification & Reference

  Specified by:
    `getAlgorithm` in interface `DistributedSignerProxy`
  Returns:
    the name of the algorithm associated with this key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging OTMOBILITYIMPROVEMENT 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.